#pragma once
#include <stddef.h>
void vfs_init(void);
void vfs_ls(void);
void vfs_cat(const char* path);
typedef int (*vfs_read_fn)(char* out,size_t max_len);
void vfs_register_virtual(const char* path, vfs_read_fn fn);